import { IInventoryManualEntry, InventoryManualEntryModel } from '../models/InventoryManualEntry.model';

export const getInventoryManualEntryData = async (bbcDateId: string) => {
  const manualEntry = await InventoryManualEntryModel.findOne({ bbcDateId }).lean();
  if (!manualEntry) {
    return <IInventoryManualEntry>{
      bbcDateId: bbcDateId,
      items: [],
    };
  }
  return manualEntry;
}
